Bug 1957060 - Storage class aws-efs not honoring mountoptions
Summary: Storage class aws-efs not honoring mountoptions
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Storage
Version: 3.11.0
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: ---
: ---
Assignee: Tomas Smetana
QA Contact: Chao Yang
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-05-04 23:39 UTC by DzungDo
Modified: 2021-05-17 10:08 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-05-17 10:08:33 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description DzungDo 2021-05-04 23:39:49 UTC
Description of problem:

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Deploy aws-efs provisioner 
2. Set mount options under "mountOptions:"
3. Deploy a pod with a PVC and provisioner will provision a PV
4. Run the command to check for nfs mount on the pod: oc rsh -n <NS> <POD> /bin/sh -c 'mount | grep nfs'

Actual results:
<EFS_ID>.amazonaws.com:/<PATH> on <MOUNT_POINT> type nfs4 (rw,relatime,vers=4.1,rsize=1048576,wsize=1048576,namlen=255,hard,proto=tcp,timeo=600,retrans=2,sec=sys,clientaddr=<IP>,local_lock=none,addr=<IP>)

Expected results:
Should show the NFS mount options specified in the StorageClass


Image version for the EFS provisioner pod:
registry.redhat.io/openshift3/ose-efs-provisioner:v3.11.420

Comment 1 Tomas Smetana 2021-05-06 11:02:59 UTC
The AWS EFS provisioner in 3.11 was a tech-preview feature. The upstream for this external provisioner is long gone, so without some *very strong* business justification why is this required in 3.11, this is not going to be fixed.


Note You need to log in before you can comment on or make changes to this bug.